- ## recruitment 
	action:
	- organize recruitment στις αιθουσες μηχ μηχ - ισως σε συνεργασια με THE (accountable me) 
	- επικοινωνια με καθηγητες για να βρουμε ωρα στο μαθημα τους (σιγουρα Γιαγκοπουλος)
	- who will do new member training (TBD)
	- position names brainstorming: "simulation engineer", "manufacturing engineer", "mechanical engineer"- generic (TBD)


- ## open tasks
	- stack: almost done, we need a bit more space for wires
	- frame: modifications CAD, check & contact (προυποθετει stack)
	- adm: θελουμε ατομο μονο για αυτο (ισως task force μηχ & ηλμηχ)
	- comms shield: CAD ready, next step is check and mechanical drw
	- payload: would be nice if we got new members involved, but we're good fn

- Stella stays on STR for now, transfer to SU will be discussed again after recruitment
## requirements - dedicated STR meeting Thursday

